%define upstream_name    GD
%define upstream_version 2.56

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A perl5 interface to Thomas Boutell's gd library
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/GD/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         GD-2.56-flaky-test.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Trig)
BuildRequires: perl(Module::Build)
BuildRequires: freetype-devel
BuildRequires: gd-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: perl-devel
BuildRequires: xpm-devel
BuildRequires: zlib-devel

%{?perl_default_filter}

%description
GD.pm is a autoloadable interface module for libgd, a popular library
for creating and manipulating PNG files.  With this library you can
create PNG images on the fly or modify existing files.  Features
include:

a.  lines, polygons, rectangles and arcs, both filled and unfilled
b.  flood fills
c.  the use of arbitrary images as brushes and as tiled fill patterns
d.  line styling (dashed lines and the like)
e.  horizontal and vertical text rendering
f.  support for transparency and interlacing

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0

# Remove Local from path
find . -type f | xargs perl -p -i -e "s|/usr/local/|/usr/|g"

# lib64 fixes, don't add /usr/lib/X11 to linker search path
perl -pi -e "s|-L/usr/lib/X11||g;s|-L/usr/X11/lib||g;s|-L/usr/lib||g" Build.PL
perl -pi -e "s|(/usr/X11R6)/lib|\1/%{_lib}|g" Build.PL

%build
%__perl Build.PL
./Build


%install
./Build install --destdir=%{buildroot} --installdirs=vendor --create_packlist=0
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'

# These files should not have been installed
rm -f %{buildroot}%{_bindir}/bdf2gdfont.PLS \
   %{buildroot}%{_bindir}/README \
   %{buildroot}%{_mandir}/man1/bdf2gdfont.PLS.1*

# This binary is in gd-utils
rm -f %{buildroot}%{_bindir}/bdftogd

%files
%doc ChangeLog LICENSE META.yml MYMETA.yml README demos
%{perl_vendorarch}/GD*
%{perl_vendorarch}/auto/GD*
%{_mandir}/man?/*
%{_bindir}/bdf2gdfont.pl
%{_bindir}/cvtbdf.pl



%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.560.0-5pclos2017
- rebuild against updates

